net.minecraft.entity

## Class SharedMonsterAttributes

- java.lang.Object
- - net.minecraft.entity.SharedMonsterAttributes

-     public class SharedMonsterAttributes
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Attribute` | `attackDamage`
    `static Attribute` | `followRange`
    `static Attribute` | `knockbackResistance`
    `static Attribute` | `maxHealth`
    `static Attribute` | `movementSpeed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SharedMonsterAttributes()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NBTTagList` | `func_111257_a(BaseAttributeMap par0BaseAttributeMap)`
    `static AttributeModifier` | `func_111259_a(NBTTagCompound par0NBTTagCompound)`
    `static void` | `func_111260_a(BaseAttributeMap par0BaseAttributeMap, NBTTagList par1NBTTagList, ILogAgent par2ILogAgent)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### maxHealth

          public static final Attribute maxHealth

    - #### followRange

          public static final Attribute followRange

    - #### knockbackResistance

          public static final Attribute knockbackResistance

    - #### movementSpeed

          public static final Attribute movementSpeed

    - #### attackDamage

          public static final Attribute attackDamage

  - ### Constructor Detail

    - #### SharedMonsterAttributes

          public SharedMonsterAttributes()

  - ### Method Detail

    - #### func_111257_a

          public static NBTTagList func_111257_a(BaseAttributeMap par0BaseAttributeMap)

    - #### func_111260_a

          public static void func_111260_a(BaseAttributeMap par0BaseAttributeMap,
                           NBTTagList par1NBTTagList,
                           ILogAgent par2ILogAgent)

    - #### func_111259_a

          public static AttributeModifier func_111259_a(NBTTagCompound par0NBTTagCompound)